require 'spec_helper'


describe RipeDbClient do

  before(:each) do
    @client = RipeDbClient::Query.new('test', 'test')
  end

  describe 'RipeDbClient::Query Object'  do
    describe 'Query and Parse Functions' do
      describe 'Person Object' do

         it 'SHOULD be able to look up a RAW PERSON record' do
           VCR.use_cassette('person_object') do
            response = @client.lookup_person('MPS31-RIPE', true)
            response.should_not be_nil
           end
         end

        it 'SHOULD be able to provide a COOKED PERSON record' do
          VCR.use_cassette('person_object') do
            response = @client.lookup_person('MPS31-RIPE', false)
            response.should be_nil
          end
        end

      end

    end

  end

end
